package com.rf.woodenFish.record.service;

import com.rf.woodenFish.record.model.UserKnockRecordEntity;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;

/**
 * @Description:用户敲击记录管理
 * @Author: mimang
 * @Date: 2025/6/6
 */
public interface UserKnockRecordService {


    UserKnockRecordEntity add(UserKnockRecordEntity entity);

    /**
     * 当前功德
     * @param openId
     * @return
     */
    UserKnockRecordEntity findCurrentRecord(String openId);

    /**
     * 获取当日功德
     * @param openId
     * @return
     */
    Integer countByCreateDate(String openId);

    Integer countByOpenId(String openId);

    List<Map<String, Integer>> orderByCurrentDateNum();

    List<Map<String, Integer>> orderByTotalNum();

    Page<List<Map<String,String>>> findPageByCurrentUser(int pageNum, int pageSize);
}
